Last Comment Bug 655633 - Code cleanup in nsGNOMERegistry.cpp
: Code cleanup in nsGNOMERegistry.cpp
Status: VERIFIED FIXED
:
Product: Core Graveyard
Classification: Graveyard
Component: File Handling (show other bugs)
: Trunk
: All Linux
: -- minor (vote)
: mozilla6
Assigned To: Hiroyuki Ikezoe (:hiro)
:
:
Mentors:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2011-05-08 17:46 PDT by Hiroyuki Ikezoe (:hiro)
Modified: 2016-06-22 12:16 PDT (History)
5 users (show)
See Also:
QA Whiteboard:
Iteration: ---
Points: ---


Attachments
A patch (5.18 KB, patch)
2011-05-08 17:46 PDT, Hiroyuki Ikezoe (:hiro)
karlt: review+
Details | Diff | Splinter Review

Description Hiroyuki Ikezoe (:hiro) 2011-05-08 17:46:09 PDT
Created attachment 530967 [details] [diff] [review]
A patch

The code in nsGNOMERegistry.cpp is little bit inefficient.

1) do_GetService for nsIGnomeVFSService is called even if it is not needed.
2) Redundant if (giovfs)...else statement in nsGNOMERegistry::GetFromType.
Comment 1 Karl Tomlinson (back Dec 13 :karlt) 2011-05-08 18:00:24 PDT
Comment on attachment 530967 [details] [diff] [review]
A patch

Nice and tidy, thanks.

I assume this bug doesn't need to be security-sensitive?
Comment 2 Mounir Lamouri (:mounir) 2011-05-12 03:37:00 PDT
Pushed:
http://hg.mozilla.org/mozilla-central/rev/820891761ab4
Comment 3 Vlad [QA] 2011-07-28 07:10:42 PDT
Setting resolution to Verified Fixed on Mozilla/5.0 (Windows NT 6.1; rv:6.0) Gecko/20100101 Firefox/6.0

Note You need to log in before you can comment on or make changes to this bug.